Bug 1016871 - Packages required to support OpenStack Keystone integration
Packages required to support OpenStack Keystone integration
Status: CLOSED CURRENTRELEASE
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: distribution (Show other bugs)
2.1
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Anthony Towns
pushpesh sharma
: ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 16:32 EDT by Luis Pabón
Modified: 2016-11-08 17:25 EST (History)
7 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0.36rhs-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-09 11:45:09 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Luis Pabón 2013-10-08 16:32:08 EDT
Description of problem:
The following packages are required for OpenStack Keystone integration:

python-keystoneclient
python-swiftclient

== Preparation for python-keystone package ==
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-webob1.2

Requires: python-argparse
Requires: python-iso8601 >= 0.1.4
Requires: python-prettytable
Requires: python-requests >= 0.8.8
Requires: python-simplejson
Requires: python-oslo-config >= 1.1.0
Requires: python-setuptools
Requires: python-keyring
Requires: python-webob1.2

== Preparation for package python-swiftclient ==
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-sphinx

Requires:   python-simplejson
Comment 1 Gowrishankar Rajaiyan 2013-10-08 16:39:39 EDT
While doing a yum install of python-keystoneclient in RHS 2.1 node, I see:

Dependencies Resolved

======================================================================================================================================================
 Package                                           Arch                 Version                          Repository                              Size
======================================================================================================================================================
Installing:
 python-keystoneclient                             noarch               1:0.2.3-6.el6ost                 OpenStack-Grizzly-Puddle               144 k
Installing for dependencies:
 python-argparse                                   noarch               1.2.1-2.1.el6                    OpenStack-Grizzly-Puddle                47 k
 python-backports-ssl_match_hostname               noarch               3.2-0.2.a3.el6ost                OpenStack-Grizzly-Puddle               8.2 k
 python-chardet                                    noarch               2.0.1-1.el6ost                   OpenStack-Grizzly-Puddle               224 k
 python-iso8601                                    noarch               0.1.4-2.el6                      OpenStack-Grizzly-Puddle                11 k
 python-keyring                                    noarch               0.7-1.el6ost                     OpenStack-Grizzly-Puddle                53 k
 python-ordereddict                                noarch               1.1-2.el6ost                     OpenStack-Grizzly-Puddle               6.5 k
 python-oslo-config                                noarch               1:1.1.0-3.el6ost                 OpenStack-Grizzly-Puddle                34 k
 python-prettytable                                noarch               0.6.1-1.el6                      OpenStack-Grizzly-Puddle                28 k
 python-requests                                   noarch               1.1.0-3.el6ost                   OpenStack-Grizzly-Puddle                69 k
 python-six                                        noarch               1.1.0-2.el6ost                   OpenStack-Grizzly-Puddle                15 k
 python-urllib3                                    noarch               1.5-5.el6ost                     OpenStack-Grizzly-Puddle                40 k
 python-webob1.2                                   noarch               1.2.3-2.2.el6ost                 OpenStack-Grizzly-Puddle               210 k

Transaction Summary
======================================================================================================================================================
Install      13 Package(s)

Total download size: 889 k
Installed size: 3.7 M
Is this ok [y/N]:


I see few packages missing in the bug description.
Comment 3 Luis Pabón 2013-10-08 17:01:33 EDT
Yeah, Shanks, probably all of those. I didn't know if I had to show dependencies of the dependencies.  Here is the complete list:

python-keystoneclient
python-swiftclient
python-oslo-config
python-iso8601
python-webob1.2
python-argparse
python-keyring
python-prettytable
python-requests
python-chardet
python-urllib3
python-oderdict
python-backports-ssl_match_hostname
python-six

Note You need to log in before you can comment on or make changes to this bug.